function T7g(a,b,d,e){xEd.call(this,a,b,d);this.a=e}
function $7g(){var a;a=new vpg(5);Yq((ked(),a.gb),false);return a}
function zeh(a){var b;if(!a.g){b=new _7g((c$i(Zbe(a.a)),Rkj(_be(a.a))));a.g=b}return a.g}
function yeh(a){var b;if(!a.f){b=new T7g(HDd(tae(a.a)),zeh(a),xeh(a),fKg(nbe(a.a)));TDd((uae(a.a),b),QEd(uae(a.a)));a.f=b}return a.f}
function _7g(){$xf.call(this,M1b,TTd((m3g(),i3g),sL(g0c,euj,238,[l3g])));this.a=new v3g(M1b,this);this.o="Distributed query engine, that parses, plans and excutes user's SQL commands and provides results"}
G1c(4496,997,ivj,T7g);_.Wi=function(){this.A.Ar()};_.$i=function(){Dtf(this.a,this)};G1c(4499,2856,jwj,_7g);_.Ah=function(){return Rxf(this)};_.xr=function(){return this.a};_.yr=function(){return I2j};_.Cr=function(){return null};_.Fr=function(){var a;a=new u1g(this,I2j,Txf(this,null),this.k,this.s);return new G1g(this,I2j,null,$7g(),a,this.s)};_.Gr=function(){return $7g()};G1c(4569,1,Qvj);_.pd=function(){pFd(this.b,yeh(this.a.a))};var G0b=iMd(4496),H0b=iMd(4499);Cwj(so)(17);